## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate libwebp-sys2

Name:           rust-%{crate}
Version:        0.1.2
Release:        %autorelease
Summary:        Handwritten raw interface to libwebp

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            https://crates.io/crates/libwebp-sys2
Source:         %{crates_source}
# Import license file
# https://github.com/qnighy/libwebp-sys2-rs/issues/8
Source1:        https://raw.githubusercontent.com/qnighy/libwebp-sys2-rs/master/LICENSE

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Handwritten raw interface to libwebp.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       libwebp

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+0_5-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+0_5-devel %{_description}

This package contains library source intended for building other packages
which use "0_5" feature of "%{crate}" crate.

%files       -n %{name}+0_5-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+0_6-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+0_6-devel %{_description}

This package contains library source intended for building other packages
which use "0_6" feature of "%{crate}" crate.

%files       -n %{name}+0_6-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+1_1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+1_1-devel %{_description}

This package contains library source intended for building other packages
which use "1_1" feature of "%{crate}" crate.

%files       -n %{name}+1_1-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+1_2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+1_2-devel %{_description}

This package contains library source intended for building other packages
which use "1_2" feature of "%{crate}" crate.

%files       -n %{name}+1_2-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+__doc_cfg-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+__doc_cfg-devel %{_description}

This package contains library source intended for building other packages
which use "__doc_cfg" feature of "%{crate}" crate.

%files       -n %{name}+__doc_cfg-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+demux-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+demux-devel %{_description}

This package contains library source intended for building other packages
which use "demux" feature of "%{crate}" crate.

%files       -n %{name}+demux-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+extern-types-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+extern-types-devel %{_description}

This package contains library source intended for building other packages
which use "extern-types" feature of "%{crate}" crate.

%files       -n %{name}+extern-types-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+mux-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mux-devel %{_description}

This package contains library source intended for building other packages
which use "mux" feature of "%{crate}" crate.

%files       -n %{name}+mux-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+static-devel %{_description}

This package contains library source intended for building other packages
which use "static" feature of "%{crate}" crate.

%files       -n %{name}+static-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
cp %{SOURCE1} LICENSE

%generate_buildrequires
%cargo_generate_buildrequires
echo "pkgconfig(libwebp)"

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 07 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.1.2-1
- Initial package

